- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdgGenerator Class Reference

A generator for vector drawings. More...

`#include <OdgGenerator.hxx>`

Inheritance diagram for OdgGenerator:

## Public Member Functions
| OdgGenerator ()
| ~OdgGenerator ()
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &)
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | startPage (const librevenge::RVNGPropertyList &)
void | endPage ()
void | startMasterPage (const librevenge::RVNGPropertyList &)
void | endMasterPage ()
void | startLayer (const ::librevenge::RVNGPropertyList &propList)
void | endLayer ()
void | openGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | setStyle (const ::librevenge::RVNGPropertyList &propList)
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList)
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList)
void | drawPolyline (const ::librevenge::RVNGPropertyList &propList)
void | drawPolygon (const ::librevenge::RVNGPropertyList &propList)
void | drawPath (const ::librevenge::RVNGPropertyList &propList)
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | startTableObject (const ::librevenge::RVNGPropertyList &propList)
void | openTableRow (const ::librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const ::librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const ::librevenge::RVNGPropertyList &propList)
void | endTableObject ()
void | startTextObject (const ::librevenge::RVNGPropertyList &propList)
void | endTextObject ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | insertText (const librevenge::RVNGString &text)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | startDocument (const librevenge::RVNGPropertyList &)
void | endDocument ()
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images. More...
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects. More...
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler) More...

## Private Member Functions
| OdgGenerator (OdgGenerator const &)
OdgGenerator & | operator= (OdgGenerator const &)

## Private Attributes
OdgGeneratorPrivate * | mpImpl

## Detailed Description

A generator for vector drawings.

See `librevenge` library for documentation of the librevenge::WPGPaintInterface interface.

## Constructor & Destructor Documentation

OdgGenerator::OdgGenerator | ( |  | ) |

OdgGenerator::~OdgGenerator | ( |  | ) |

OdgGenerator::OdgGenerator | ( | OdgGenerator const & |  | ) |
| private

## Member Function Documentation

void OdgGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType
| ) |  |

void OdgGenerator::closeGroup | ( |  | ) |

void OdgGenerator::closeLink | ( |  | ) |

void OdgGenerator::closeListElement | ( |  | ) |

void OdgGenerator::closeOrderedListLevel | ( |  | ) |

void OdgGenerator::closeParagraph | ( |  | ) |

void OdgGenerator::closeSpan | ( |  | ) |

void OdgGenerator::closeTableCell | ( |  | ) |

void OdgGenerator::closeTableRow | ( |  | ) |

void OdgGenerator::closeUnorderedListLevel | ( |  | ) |

void OdgGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawPath | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::endDocument | ( |  | ) |

void OdgGenerator::endEmbeddedGraphics | ( |  | ) |

void OdgGenerator::endLayer | ( |  | ) |

void OdgGenerator::endMasterPage | ( |  | ) |

void OdgGenerator::endPage | ( |  | ) |

void OdgGenerator::endTableObject | ( |  | ) |

void OdgGenerator::endTextObject | ( |  | ) |

bool OdgGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler
| ) |  |

librevenge::RVNGStringVector OdgGenerator::getObjectNames | ( |  | ) | const

void OdgGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

void OdgGenerator::insertCoveredTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::insertLineBreak | ( |  | ) |

void OdgGenerator::insertSpace | ( |  | ) |

void OdgGenerator::insertTab | ( |  | ) |

void OdgGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |

void OdgGenerator::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openTableRow | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

OdgGenerator& OdgGenerator::operator= | ( | OdgGenerator const & |  | ) |
| private

void OdgGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler
| ) |  |

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

void OdgGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler
| ) |  |

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

void OdgGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |

void OdgGenerator::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |

void OdgGenerator::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::startMasterPage | ( | const librevenge::RVNGPropertyList & |  | ) |

void OdgGenerator::startPage | ( | const librevenge::RVNGPropertyList & |  | ) |

void OdgGenerator::startTableObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void OdgGenerator::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

OdgGeneratorPrivate* OdgGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdgGenerator.hxx